'*********************
'* FADE TO ANY COLOR *
'*********************
'
'Writen By:  Daniel Camplin
'Description:  This is a program that fades to any
'color in Screen mode 13.
'
'Email any quires, modifications or comments to:
'd_wobbles@hotmail.com

DEFINT A-Z

TYPE PaletteType
red AS INTEGER
green AS INTEGER
blue AS INTEGER
END TYPE
DECLARE SUB Palette.Set (colour%, pInfo AS PaletteType)
DECLARE SUB Palette.Get (colour%, pInfo AS PaletteType)
DECLARE SUB Palette.Fadeout (Fade.color)
DECLARE SUB Palette.FadeIn ()
DIM SHARED pal AS PaletteType
DIM SHARED pData(0 TO 255, 1 TO 3)

INPUT "Which color do you want to fade to (0-255)"; Fade.color
SCREEN 13
x% = 0
y% = 0
colour% = 0
Scale% = 15
DO
LINE (x%, y%)-(x% + Scale% - 1, y% + Scale% - 1), colour%, BF
LINE (x%, y%)-(x% + Scale%, y% + Scale%), 15, B
x% = x% + Scale%
colour% = colour% + 1
IF x% > 300 THEN y% = y% + Scale%: x% = 0
LOOP WHILE colour% < 256

DO
SLEEP 1
Palette.Fadeout Fade.color
SLEEP 1
Palette.FadeIn
LOOP

SUB Palette.FadeIn
DIM tT(1 TO 3)
FOR I = 1 TO 64
WAIT &H3DA, 8, 8
  FOR O = 0 TO 255
    Palette.Get O, pal
    tT(1) = pal.red
    tT(2) = pal.green
    tT(3) = pal.blue
    IF tT(1) < pData(O, 1) THEN tT(1) = tT(1) + 1
    IF tT(2) < pData(O, 2) THEN tT(2) = tT(2) + 1
    IF tT(3) < pData(O, 3) THEN tT(3) = tT(3) + 1
    IF tT(1) > pData(O, 1) THEN tT(1) = tT(1) - 1
    IF tT(2) > pData(O, 2) THEN tT(2) = tT(2) - 1
    IF tT(3) > pData(O, 3) THEN tT(3) = tT(3) - 1
    pal.red = tT(1)
    pal.green = tT(2)
    pal.blue = tT(3)
    Palette.Set O, pal
  NEXT O
NEXT I

END SUB

SUB Palette.Fadeout (Fade.color)
DIM tT(1 TO 3)
FOR I = 0 TO 255
  Palette.Get I, pal
  pData(I, 1) = pal.red
  pData(I, 2) = pal.green
  pData(I, 3) = pal.blue
NEXT I

check:
OUT &H3C6, &HFF
OUT &H3C7, Fade.color
red = INP(&H3C9)
green = INP(&H3C9)
blue = INP(&H3C9)


FOR I = 1 TO 64
WAIT &H3DA, 8, 8
  FOR O = 0 TO 255
    Palette.Get O, pal
    tT(1) = pal.red
    tT(2) = pal.green
    tT(3) = pal.blue
    IF tT(1) > red THEN tT(1) = tT(1) - 1
    IF tT(2) > green THEN tT(2) = tT(2) - 1
    IF tT(3) > blue THEN tT(3) = tT(3) - 1
    IF tT(1) < red THEN tT(1) = tT(1) + 1
    IF tT(2) < green THEN tT(2) = tT(2) + 1
    IF tT(3) < blue THEN tT(3) = tT(3) + 1
    pal.red = tT(1)
    pal.green = tT(2)
    pal.blue = tT(3)
    Palette.Set O, pal
  NEXT O
NEXT I
END SUB

SUB Palette.Get (nColor%, pInfo AS PaletteType)
OUT &H3C6, &HFF
OUT &H3C7, nColor%
pInfo.red = INP(&H3C9)
pInfo.green = INP(&H3C9)
pInfo.blue = INP(&H3C9)
END SUB

SUB Palette.Set (nColor%, pInfo AS PaletteType)
OUT &H3C6, &HFF
OUT &H3C8, nColor%
OUT &H3C9, pInfo.red
OUT &H3C9, pInfo.green
OUT &H3C9, pInfo.blue
END SUB

